import { ElementRef, OnDestroy } from '@angular/core';
import { Subject } from 'rxjs';
import { Maybe } from '@dereekb/util';
import { AbstractSubscriptionDirective } from '@dereekb/dbx-core';
import { DomSanitizer, SafeResourceUrl } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class DbxIframeComponent extends AbstractSubscriptionDirective implements OnDestroy {
    readonly sanitizer: DomSanitizer;
    readonly iframeLocationChanged: import("@angular/core").OutputEmitterRef<ElementRef<HTMLIFrameElement>>;
    readonly iframe: import("@angular/core").Signal<ElementRef<HTMLIFrameElement> | undefined>;
    readonly scrolling: import("@angular/core").InputSignalWithTransform<"auto" | "no" | "yes", boolean | "auto" | "no" | "yes">;
    readonly sanitizeUrl: import("@angular/core").InputSignal<boolean>;
    readonly contentUrl: import("@angular/core").ModelSignal<Maybe<string | SafeResourceUrl>>;
    readonly contentUrlSignal: import("@angular/core").Signal<Maybe<string | SafeResourceUrl>>;
    readonly iframe$: import("rxjs").Observable<ElementRef<HTMLIFrameElement> | undefined>;
    readonly contentUrl$: import("rxjs").Observable<Maybe<string | SafeResourceUrl>>;
    readonly retry: Subject<void>;
    constructor();
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DbxIframeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DbxIframeComponent, "dbx-iframe", never, { "scrolling": { "alias": "scrolling"; "required": false; "isSignal": true; }; "sanitizeUrl": { "alias": "sanitizeUrl"; "required": false; "isSignal": true; }; "contentUrl": { "alias": "contentUrl"; "required": false; "isSignal": true; }; }, { "iframeLocationChanged": "iframeLocationChanged"; "contentUrl": "contentUrlChange"; }, never, never, true, never>;
}
